Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authentication
Interface AuthenticatorMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, RealmAdapterAuthenticatorMBean

public interface AuthenticatorMBean
extends weblogic.management.commo.StandardInterface, AuthenticationProviderMBean

The SSPI MBean that all Authentication providers with login services must extend. This MBean provides a ControlFlag to determine whether the Authentication provider is a REQUIRED, REQUISITE, SUFFICENT, or OPTIONAL part of the login sequence.

Method Summary
`java.lang.String` | `getControlFlag()` Determines how the login sequence uses the Authentication provider.
`void` | `setControlFlag(java.lang.String newValue)` Determines how the login sequence uses the Authentication provider.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getProviderClassName, getRealm, getVersion, setRealm`

Method Detail

### getControlFlag

    public java.lang.String getControlFlag()

  Determines how the login sequence uses the Authentication provider.

  A `REQUIRED` value requires this Authentication provider to succeed. Regardless of whether it succeeds, authentication proceeds to other Authentication providers that have been configured as part of the login sequence.

  A `REQUISITE` value requires this Authentication provider to succeed. If it succeeds, authentication proceeds to other Authentication providers. If it fails, control immediately returns to the application (authentication does not proceed).

  A `SUFFICIENT` value does not require this Authentication provider to succeed. If it succeeds, control immediately returns to the application (authentication does not proceed to other Authenticaion providers). If it fails, authentication proceeds to other Authentication providers that have been configured as part of the login sequence.

  An `OPTIONAL` value does not require this Authentication provider to succeed. Regardless of whether it succeeds, authentication proceeds to other Authentication providers that have been configured as part of the login sequence.

  Default Value: "REQUIRED"
  Legal Values: REQUIRED,REQUISITE,SUFFICIENT,OPTIONAL

### setControlFlag

    public void setControlFlag(java.lang.String newValue)
                        throws javax.management.InvalidAttributeValueException

  Determines how the login sequence uses the Authentication provider.

  A `REQUIRED` value requires this Authentication provider to succeed. Regardless of whether it succeeds, authentication proceeds to other Authentication providers that have been configured as part of the login sequence.

  A `REQUISITE` value requires this Authentication provider to succeed. If it succeeds, authentication proceeds to other Authentication providers. If it fails, control immediately returns to the application (authentication does not proceed).

  A `SUFFICIENT` value does not require this Authentication provider to succeed. If it succeeds, control immediately returns to the application (authentication does not proceed to other Authenticaion providers). If it fails, authentication proceeds to other Authentication providers that have been configured as part of the login sequence.

  An `OPTIONAL` value does not require this Authentication provider to succeed. Regardless of whether it succeeds, authentication proceeds to other Authentication providers that have been configured as part of the login sequence.

  Parameters:
    `newValue` - - new value for attribute ControlFlag
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference